LibreOffice LibreOffice 6.2 SDK API Reference

Public Member Functions | List of all members
XSingletonTypeDescription Interface Referencepublished

Reflects a singleton. More...

`import"XSingletonTypeDescription.idl";`

Inheritance diagram for XSingletonTypeDescription:

## Public Member Functions
XServiceTypeDescription | getService ()
| Returns the service associated with the singleton. More...
Public Member Functions inherited from XTypeDescription
com::sun::star::uno::TypeClass | getTypeClass ()
| Returns the type class of the reflected UNOIDL entity. More...
string | getName ()
| Returns the fully qualified name of the UNOIDL entity. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Reflects a singleton.

This type is superseded by XSingletonTypeDescription2, which supports interface-based singletons, in addition to the obsolete, service-based singletons.

The type class of this type is com::sun::star::uno::TypeClass::SINGLETON.

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ getService()

XServiceTypeDescription getService | ( |  | ) |

Returns the service associated with the singleton.

Returns
  the reflection of the service associated with the singleton, for an obsolete, service-based singleton; for an interface-based singleton, `NULL` is returned

The documentation for this interface was generated from the following file:

- com/sun/star/reflection/XSingletonTypeDescription.idl